Display paths of created mirrors.

This commit is contained in:
Vitaly Parakhin 2015-04-21 18:27:48 +03:00
parent 009692b985
commit 9d3dc1d239
3 changed files with 14 additions and 6 deletions

View File

@ -19,9 +19,7 @@ if hash fuel 2>/dev/null; then
# Assuming that Docker is up and running.
DOCKER_MODE=true
else
# working outside Fuel master node
echo "Cannot detect current Fuel version, using defaults. Please configure FUEL_* settings in config/common.cfg"
sleep 3
# working outside Fuel master node, using defaults
FUEL_VERSION=6.1
FUEL_BRANCH=master
DOCKER_MODE=false

View File

@ -24,8 +24,8 @@ EOF
die() { echo "$@" 1>&2 ; exit 1; }
if [[ ( "$1" == "--help" ) || ( "$1" == "-h" ) ]]; then
usage
exit 0
usage
exit 0
fi
BINROOT=$(dirname `readlink -f "$0"`)
@ -37,3 +37,13 @@ mkdir -p ${LOG_ROOT} || die "Cannot create ${LOG_ROOT}, exiting."
[ "$1" != "ubuntu" ] && $BINROOT/deb-mirror $BINROOT/config/mos-ubuntu-updatesonly.cfg
[ "$1" != "mos" ] && $BINROOT/deb-mirror $BINROOT/config/ubuntu.cfg
[ "$1" != "ubuntu" ] && . $BINROOT/config/mos-ubuntu-updatesonly.cfg && echo " * INFO: MOS mirror was created at: $LOCAL_DIR"
if [[ "$1" != "mos" ]]; then
. $BINROOT/config/ubuntu.cfg
if [[ $PARTIAL_UPSTREAM = "1" ]]; then
echo " * INFO: Ubuntu partial mirror was created at: $PARTIAL_UPSTREAM_PATH"
else
echo " * INFO: Ubuntu mirror was created at: $LOCAL_DIR"
fi
fi

View File

@ -609,7 +609,7 @@ EOF
# Build partial mirror
info "Generating metadata for partial mirror"
info "Apply fix for upstream dpkg-scanpackages"
info "Applying fix for upstream dpkg-scanpackages"
patch -N /usr/bin/dpkg-scanpackages < $BINROOT/util/dpkg.patch
export BINROOT
$BINROOT/util/regenerate_ubuntu_repo ${PARTIAL_UPSTREAM_PATH} ${UBUNTU_RELEASE} || fatal "Failed to generate partial mirror"